Unarchive a Transaction

Unarchives a single archived transaction and automatically changes its fundingStatus to Held. Transactions with a fundingStatus of Rejected at the time of archiving retain that status when unarchived. In both cases, onHold returns as true. For held transactions, release the hold when the transaction is ready to be eligible for funding.

Unarchiving removes the transaction's archive details (archivedDate, archivedBy, and archiveReason). Providing a reason for unarchiving the transaction is not required.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required

The identification number of the archived transaction to unarchive.

string
required

The tenant identifier.

Body Params
transactionIds
array of int32s

The identification numbers of the transactions to archive or unarchive. Required when archiving or unarchiving multiple transactions. Ignored when archiving or unarchiving a single transaction, which is identified in the path. Duplicate IDs are ignored.

transactionIds
string
length ≤ 1024

The reason for archiving, up to 1,024 characters. Required when archiving and ignored when unarchiving. The reason is returned as archiveReason on each archived transaction.

Headers
string
required

The API key id used to authenticate and authorize your request to Infinicept. API keys are managed within your Backoffice tenant.

string
required

The API key value used to authenticate and authorize your request to Infinicept. API keys are managed within your Backoffice tenant.

string

Identifies the user or system initiating this unarchive action. Recorded as initiatedBy on the Event Center work item. Defaults to "API User" when omitted.

string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

400

The request was rejected and the transaction was not unarchived. This occurs when the request body is missing, the transaction does not exist, or the transaction is not archived. The response body describes the problem.

404

The specified tenant was not found.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json